#!/usr/bin/perl

# isjoomla.pl script
# (c) eax 2009 | http://eax.me/

use strict;

my $dn = shift;

print "Invalid domain name\n" and exit 1 unless($dn =~ /^[a-z0-9\.\-]+$/);

my $data = `wget -q $dn -O -`;

print "Download failed: $?\n" and exit 2 if($?);

my $cnt = 0;

$cnt += 2 if($data =~ /Joomla/gi);
$cnt ++ if($data =~ /templates\//gi);
$cnt ++ if($data =~ /\/css\/template/gi);
$cnt ++ if($data =~ /src\=\"\/media\/system\//gi);
# $cnt += 0.5 if($data =~ /content\//gi);
# $cnt += 0.5 if($data =~ /joomla.org/gi);
$cnt ++ if($data =~ /\<input name\=\"searchword\"/gi);
$cnt ++ if($data =~ /\<meta name\=\"generator\" content=\"[^\"]*Joomla\![^\"]*\"/gi);

$cnt = int $cnt * 100 / (7-1+1);

print "Joomla:$cnt\n";
exit 0;
