#!/usr/bin/perl

# iswp.pl script
# (c) eax 2009 | http://eax.me/

use strict;

my $dn = shift;

print "Invalid domain name\n" and exit 1 unless($dn =~ /^[a-z0-9\.\-]+$/);

my $data = `wget -q $dn -O -`;

print "Download failed: $?\n" and exit 2 if($?);

my $cnt = 0;

$cnt ++ if($data =~ /UTF\-8/gi);
$cnt ++ if($data =~ /\/wp\-content\/themes\//gi);
$cnt ++ if($data =~ /\/wp\-content\/plugins\//gi);
$cnt ++ if($data =~ /WordPress/gi);
$cnt ++ if($data =~ /\/wp\-includes\//);
$cnt ++ if($data =~ /\/xmlrpc\.php/);

$cnt = int $cnt * 100 / 6;

print "WordPress:$cnt\n";
exit 0;
